
.snippet {
	position: relative;
}

.abrir-snippet::before {
	content: "";
	position: fixed;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	bottom: 0;
	z-index: 0;
	background-color: rgba(0, 0, 0, 0.1);
	cursor: default;
	opacity: 0;
	transform: scale(0);
	transition: opacity 300ms ease;
}

.abrir-snippet.open::before {
	opacity: 1;
	transform: scale(1);
}

.abrir-snippet {
	--snippet-size: 55px;
	position: fixed;
	bottom: 20px;
	right: 20px;
	padding: 15px;
	border-radius: 50px;
	width: var(--snippet-size);
	height: var(--snippet-size);
	display: flex;
	align-items: center;
	justify-content: center;
	z-index: 99;
	cursor: pointer;
	transition: 200ms;
}


.abrir-snippet.open {
	background-color: var(--bs-btn-active-bg);
}


.abrir-snippet.open {
	background-color: var(--bs-btn-active-bg);
}

.snippet__block {
	position: fixed;
	right: 20px;
	bottom: 90px;
	z-index: 0;
	padding: 1rem;
	opacity: 0;
	transform: scale(0.5);
	pointer-events: none;
	background: #fff;
	border-radius: 20px;
	box-shadow: 15px 15px 15px #00000029;
	transition: opacity 300ms ease, transform 300ms ease;
	overflow: hidden;
	text-align: center;
	transform-origin: center bottom;
}

	.snippet__block.open {
		opacity: 1;
		transform: scale(1);
		z-index: 999;
		pointer-events: auto;
	}

	.snippet__block p {
		font-size: 20px;
		color: #003768;
		font-weight: 800;
	}


	.snippet__block.open .canais-atendimento {
		display: flex !important;
		flex-direction: column;
		gap: 10px;
		list-style: none;
		padding-left: 0;
		margin: 0;
	}

.snippet__canal a {
	color: var(--bs-dark);
	background-color: transparent;
	border: 1px solid var(--bs-border-color);
	border-radius: 12px;
	width: 100%;
	font-size: 1rem;
	font-weight: 600;
	padding: 10px 20px;
	display: flex;
	align-items: center;
	justify-content: flex-start;
	gap: 0.5rem;
	text-decoration: none;
	text-align: left;
	white-space: nowrap;
	transition: all 150ms ease-in-out;
}

.snippet__canal i {
	font-size: 20px;
}

.snippet__canal:hover a {
	background: var(--cor-primaria);
	color: #fff;
}

